{"openapi":"3.0.0","info":{"version":"v1","title":"Pangolin Integration API"},"servers":[{"url":"/v1"}],"tags":[{"name":"Site"},{"name":"Public Resource"},{"name":"Resource Target"},{"name":"Private Resource"},{"name":"Client"},{"name":"Organization"},{"name":"Domain"},{"name":"Public Resource Policy"},{"name":"Role"},{"name":"User"},{"name":"Rule"},{"name":"User Invitation"},{"name":"Access Token"},{"name":"Identity Provider (Global)"},{"name":"Identity Provider (Organization Only)"},{"name":"API Key"},{"name":"Site Provisioning Key"},{"name":"Blueprint"},{"name":"SSH"},{"name":"Logs"},{"name":"Event Streaming Destination"},{"name":"Alert Rule"},{"name":"Health Check"},{"name":"Public Resource Policy (Legacy)"},{"name":"Public Resource (Legacy)"},{"name":"Private Resource (Legacy)"},{"name":"AI Provider"},{"name":"AI Model"},{"name":"AI Budget"},{"name":"Virtual API Key"}],"components":{"securitySchemes":{"Bearer Auth":{"type":"http","scheme":"bearer"}},"schemas":{},"parameters":{}},"paths":{"/org/{orgId}/role":{"put":{"description":"Create a role.","tags":["Role"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":255},"description":{"type":"string"},"requireDeviceApproval":{"type":"boolean"},"allowSsh":{"type":"boolean"},"sshSudoMode":{"type":"string","enum":["none","full","commands"]},"sshSudoCommands":{"type":"array","items":{"type":"string"}},"sshCreateHomeDir":{"type":"boolean"},"sshUnixGroups":{"type":"array","items":{"type":"string"}}},"required":["name"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/target/{targetId}":{"get":{"description":"Get a target.","tags":["Resource Target"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"targetId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"delete":{"description":"Delete a target.","tags":["Resource Target"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"targetId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"post":{"description":"Update a target.","tags":["Resource Target"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"targetId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"siteId":{"type":"integer","minimum":0,"exclusiveMinimum":true},"ip":{"type":"string"},"mode":{"type":"string","nullable":true,"enum":["http","tcp","udp","ssh","rdp","vnc",null]},"method":{"type":"string","nullable":true,"minLength":1,"maxLength":10},"port":{"type":"integer","minimum":1,"maximum":65535},"enabled":{"type":"boolean"},"hcEnabled":{"type":"boolean","nullable":true},"hcPath":{"type":"string","nullable":true,"minLength":1},"hcScheme":{"type":"string","nullable":true},"hcMode":{"type":"string","nullable":true},"hcHostname":{"type":"string","nullable":true},"hcPort":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true},"hcInterval":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcUnhealthyInterval":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcTimeout":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcHeaders":{"type":"array","nullable":true,"items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}},"required":["name","value"],"additionalProperties":false}},"hcFollowRedirects":{"type":"boolean","nullable":true},"hcMethod":{"type":"string","nullable":true,"minLength":1},"hcStatus":{"type":"integer","nullable":true},"hcTlsServerName":{"type":"string","nullable":true},"hcHealthyThreshold":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcUnhealthyThreshold":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"path":{"type":"string","nullable":true},"pathMatchType":{"type":"string","nullable":true,"enum":["exact","prefix","regex",null]},"rewritePath":{"type":"string","nullable":true},"rewritePathType":{"type":"string","nullable":true,"enum":["exact","prefix","regex","stripPrefix",null]},"priority":{"type":"integer","minimum":1,"maximum":1000}},"required":["siteId","ip"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/resource/{resourceId}/target":{"put":{"description":"Create a target for a resource.","tags":["Public Resource (Legacy)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"resourceId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"siteId":{"type":"integer","minimum":0,"exclusiveMinimum":true},"ip":{"type":"string"},"mode":{"type":"string","enum":["http","tcp","udp","ssh","rdp","vnc"]},"method":{"type":"string","nullable":true},"port":{"type":"integer","minimum":1,"maximum":65535},"enabled":{"type":"boolean","default":true},"hcEnabled":{"type":"boolean"},"hcPath":{"type":"string","nullable":true,"minLength":1},"hcScheme":{"type":"string","nullable":true},"hcMode":{"type":"string","nullable":true},"hcHostname":{"type":"string","nullable":true},"hcPort":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true},"hcInterval":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcUnhealthyInterval":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcTimeout":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcHeaders":{"type":"array","nullable":true,"items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}},"required":["name","value"],"additionalProperties":false}},"hcFollowRedirects":{"type":"boolean","nullable":true},"hcMethod":{"type":"string","nullable":true,"minLength":1},"hcStatus":{"type":"integer","nullable":true},"hcTlsServerName":{"type":"string","nullable":true},"hcHealthyThreshold":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcUnhealthyThreshold":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"path":{"type":"string","nullable":true},"pathMatchType":{"type":"string","nullable":true,"enum":["exact","prefix","regex",null]},"rewritePath":{"type":"string","nullable":true},"rewritePathType":{"type":"string","nullable":true,"enum":["exact","prefix","regex","stripPrefix",null]},"priority":{"type":"integer","nullable":true,"minimum":1,"maximum":1000}},"required":["siteId","ip","port"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/public-resource/{resourceId}/target":{"put":{"description":"Create a target for a resource.","tags":["Public Resource","Resource Target"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"resourceId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"siteId":{"type":"integer","minimum":0,"exclusiveMinimum":true},"ip":{"type":"string"},"mode":{"type":"string","enum":["http","tcp","udp","ssh","rdp","vnc"]},"method":{"type":"string","nullable":true},"port":{"type":"integer","minimum":1,"maximum":65535},"enabled":{"type":"boolean","default":true},"hcEnabled":{"type":"boolean"},"hcPath":{"type":"string","nullable":true,"minLength":1},"hcScheme":{"type":"string","nullable":true},"hcMode":{"type":"string","nullable":true},"hcHostname":{"type":"string","nullable":true},"hcPort":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true},"hcInterval":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcUnhealthyInterval":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcTimeout":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcHeaders":{"type":"array","nullable":true,"items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}},"required":["name","value"],"additionalProperties":false}},"hcFollowRedirects":{"type":"boolean","nullable":true},"hcMethod":{"type":"string","nullable":true,"minLength":1},"hcStatus":{"type":"integer","nullable":true},"hcTlsServerName":{"type":"string","nullable":true},"hcHealthyThreshold":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcUnhealthyThreshold":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"path":{"type":"string","nullable":true},"pathMatchType":{"type":"string","nullable":true,"enum":["exact","prefix","regex",null]},"rewritePath":{"type":"string","nullable":true},"rewritePathType":{"type":"string","nullable":true,"enum":["exact","prefix","regex","stripPrefix",null]},"priority":{"type":"integer","nullable":true,"minimum":1,"maximum":1000}},"required":["siteId","ip","port"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/ai-provider/{providerId}/target":{"put":{"description":"Create a target for an AI provider.","tags":["AI Provider"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"providerId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"siteId":{"type":"integer","minimum":0,"exclusiveMinimum":true},"ip":{"type":"string"},"mode":{"type":"string","enum":["http","tcp","udp","ssh","rdp","vnc"]},"method":{"type":"string","nullable":true},"port":{"type":"integer","minimum":1,"maximum":65535},"enabled":{"type":"boolean","default":true},"hcEnabled":{"type":"boolean"},"hcPath":{"type":"string","nullable":true,"minLength":1},"hcScheme":{"type":"string","nullable":true},"hcMode":{"type":"string","nullable":true},"hcHostname":{"type":"string","nullable":true},"hcPort":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true},"hcInterval":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcUnhealthyInterval":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcTimeout":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcHeaders":{"type":"array","nullable":true,"items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}},"required":["name","value"],"additionalProperties":false}},"hcFollowRedirects":{"type":"boolean","nullable":true},"hcMethod":{"type":"string","nullable":true,"minLength":1},"hcStatus":{"type":"integer","nullable":true},"hcTlsServerName":{"type":"string","nullable":true},"hcHealthyThreshold":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"hcUnhealthyThreshold":{"type":"integer","nullable":true,"minimum":1,"exclusiveMinimum":true},"path":{"type":"string","nullable":true},"pathMatchType":{"type":"string","nullable":true,"enum":["exact","prefix","regex",null]},"rewritePath":{"type":"string","nullable":true},"rewritePathType":{"type":"string","nullable":true,"enum":["exact","prefix","regex","stripPrefix",null]},"priority":{"type":"integer","nullable":true,"minimum":1,"maximum":1000}},"required":["siteId","ip","port"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/resource/{resourceId}/targets":{"get":{"description":"List targets for a resource.","tags":["Public Resource (Legacy)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"resourceId","in":"path"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/public-resource/{resourceId}/targets":{"get":{"description":"List targets for a resource.","tags":["Public Resource","Resource Target"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"resourceId","in":"path"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/ai-provider/{providerId}/targets":{"get":{"description":"List targets for an AI provider.","tags":["AI Provider"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"providerId","in":"path"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/idp/oidc":{"put":{"description":"Create an OIDC IdP for a specific organization.","tags":["Identity Provider (Organization Only)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1},"clientId":{"type":"string","minLength":1},"clientSecret":{"type":"string","minLength":1},"authUrl":{"type":"string","format":"uri"},"tokenUrl":{"type":"string","format":"uri"},"identifierPath":{"type":"string","minLength":1},"emailPath":{"type":"string"},"namePath":{"type":"string"},"scopes":{"type":"string","minLength":1},"autoProvision":{"type":"boolean"},"variant":{"type":"string","enum":["oidc","google","azure"],"default":"oidc"},"roleMapping":{"type":"string"},"orgMapping":{"type":"string","nullable":true},"tags":{"type":"string"}},"required":["name","clientId","clientSecret","authUrl","tokenUrl","identifierPath","scopes"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/idp/{idpId}":{"get":{"description":"Get an IDP by its IDP ID for a specific organization.","tags":["Identity Provider (Organization Only)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"idpId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"delete":{"description":"Delete IDP for a specific organization.","tags":["Identity Provider (Organization Only)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":false,"name":"orgId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"idpId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/idp":{"get":{"description":"List all IDP for a specific organization.","tags":["Identity Provider (Organization Only)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/idp/{idpId}/oidc":{"post":{"description":"Update an OIDC IdP for a specific organization.","tags":["Identity Provider (Organization Only)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"idpId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"clientId":{"type":"string"},"clientSecret":{"type":"string"},"authUrl":{"type":"string"},"tokenUrl":{"type":"string"},"identifierPath":{"type":"string"},"emailPath":{"type":"string"},"namePath":{"type":"string"},"scopes":{"type":"string"},"autoProvision":{"type":"boolean"},"roleMapping":{"type":"string"},"orgMapping":{"type":"string","nullable":true},"tags":{"type":"string"}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"idpId":{"type":"number"}},"required":["idpId"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/domain/check-namespace-availability":{"get":{"description":"Check if a domain namespace is available based on subdomain","tags":["Domain"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"subdomain","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/domains/namepaces":{"get":{"description":"List all domain namespaces in the system","tags":["Domain"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"domainNamespaces":{"type":"array","items":{"type":"object","properties":{"domainNamespaceId":{"type":"string"},"domainId":{"type":"string"}},"required":["domainNamespaceId","domainId"]}},"pagination":{"type":"object","properties":{"total":{"type":"number"},"limit":{"type":"number"},"offset":{"type":"number"}},"required":["total","limit","offset"]}},"required":["domainNamespaces","pagination"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/action":{"get":{"description":"Query the action audit log for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"action","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actorType","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actorId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actor","in":"query"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/request":{"get":{"description":"Query the request audit log for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"anyOf":[{"type":"boolean"},{"type":"string"}]},"required":false,"name":"action","in":"query"},{"schema":{"type":"string","enum":["GET","POST","PUT","DELETE","PATCH"]},"required":false,"name":"method","in":"query"},{"schema":{"type":"string"},"required":false,"name":"reason","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actor","in":"query"},{"schema":{"type":"string"},"required":false,"name":"location","in":"query"},{"schema":{"type":"string"},"required":false,"name":"host","in":"query"},{"schema":{"type":"string"},"required":false,"name":"path","in":"query"},{"schema":{"type":"array","description":"Filter by IP adresses"},"required":false,"description":"Filter by IP adresses","name":"ip","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/analytics":{"get":{"description":"Query the request audit analytics for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/ai":{"get":{"description":"Query the AI gateway session log for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"providerId","in":"query"},{"schema":{"type":"string","enum":["openai_chat","openai_responses","anthropic_messages","v1_models","gemini_generate_content","bedrock_model_invoke","google_generate_content","google_raw_predict","bedrock_converse"]},"required":false,"name":"capability","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actor","in":"query"},{"schema":{"type":"string"},"required":false,"name":"virtualApiKeyId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"model","in":"query"},{"schema":{"anyOf":[{"type":"boolean"},{"type":"string"}]},"required":false,"name":"isStream","in":"query"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/ai/export":{"get":{"description":"Export the AI gateway session log for an organization as CSV","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"providerId","in":"query"},{"schema":{"type":"string","enum":["openai_chat","openai_responses","anthropic_messages","v1_models","gemini_generate_content","bedrock_model_invoke","google_generate_content","google_raw_predict","bedrock_converse"]},"required":false,"name":"capability","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actor","in":"query"},{"schema":{"type":"string"},"required":false,"name":"virtualApiKeyId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"model","in":"query"},{"schema":{"anyOf":[{"type":"boolean"},{"type":"string"}]},"required":false,"name":"isStream","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/ai/usage/filters":{"get":{"description":"Query the distinct filter options (providers, models, resources, roles, users) available for AI usage analytics within a time range","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","default":"2026-09-23T00:00:00.000Z"},"required":false,"name":"timeStart","in":"query"},{"schema":{"type":"string","default":"2026-09-30T15:16:02.297Z"},"required":false,"name":"timeEnd","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/ai/usage/overview":{"get":{"description":"Query the AI usage analytics overview for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"providerId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"model","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"roleId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"userId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"virtualApiKeyId","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/ai/usage/providers":{"get":{"description":"Query the AI usage analytics provider breakdown for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"providerId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"model","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"roleId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"userId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"virtualApiKeyId","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/ai/usage/resources":{"get":{"description":"Query the AI usage analytics resource breakdown for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"providerId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"model","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"roleId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"userId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"virtualApiKeyId","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/ai/usage/users-roles":{"get":{"description":"Query the AI usage analytics user and role breakdown for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"providerId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"model","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"roleId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"userId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"virtualApiKeyId","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/ai/usage/virtual-api-keys":{"get":{"description":"Query the AI usage analytics virtual API key breakdown for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"providerId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"model","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"roleId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"userId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"virtualApiKeyId","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/action/export":{"get":{"description":"Export the action audit log for an organization as CSV","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"action","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actorType","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actorId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actor","in":"query"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/access":{"get":{"description":"Query the access audit log for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"anyOf":[{"type":"boolean"},{"type":"string"}]},"required":false,"name":"action","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actorType","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actorId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actor","in":"query"},{"schema":{"type":"string"},"required":false,"name":"type","in":"query"},{"schema":{"type":"string"},"required":false,"name":"location","in":"query"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"},{"schema":{"type":"array","description":"Filter by IP adresses"},"required":false,"description":"Filter by IP adresses","name":"ip","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/access/export":{"get":{"description":"Export the access audit log for an organization as CSV","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"anyOf":[{"type":"boolean"},{"type":"string"}]},"required":false,"name":"action","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actorType","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actorId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"actor","in":"query"},{"schema":{"type":"string"},"required":false,"name":"type","in":"query"},{"schema":{"type":"string"},"required":false,"name":"location","in":"query"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"},{"schema":{"type":"array","description":"Filter by IP adresses"},"required":false,"description":"Filter by IP adresses","name":"ip","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/connection":{"get":{"description":"Query the connection audit log for an organization","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"protocol","in":"query"},{"schema":{"type":"string"},"required":false,"name":"sourceAddr","in":"query"},{"schema":{"type":"string"},"required":false,"name":"destAddr","in":"query"},{"schema":{"type":"string"},"required":false,"name":"clientId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"siteId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"siteResourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"userId","in":"query"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/logs/connection/export":{"get":{"description":"Export the connection audit log for an organization as CSV","tags":["Logs"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","format":"date-time","description":"Start time as ISO date string (defaults to 7 days ago)"},"required":false,"description":"Start time as ISO date string (defaults to 7 days ago)","name":"timeStart","in":"query"},{"schema":{"type":"string","format":"date-time","description":"End time as ISO date string (defaults to current time)"},"required":false,"description":"End time as ISO date string (defaults to current time)","name":"timeEnd","in":"query"},{"schema":{"type":"string"},"required":false,"name":"protocol","in":"query"},{"schema":{"type":"string"},"required":false,"name":"sourceAddr","in":"query"},{"schema":{"type":"string"},"required":false,"name":"destAddr","in":"query"},{"schema":{"type":"string"},"required":false,"name":"clientId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"siteId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"siteResourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"userId","in":"query"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/user/{userId}/add-role/{roleId}":{"post":{"description":"Add a role to a user.","tags":["Role","User"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"userId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"roleId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/user/{userId}/remove-role/{roleId}":{"delete":{"description":"Remove a role from a user. User must have at least one role left in the org.","tags":["Role","User"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"userId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"roleId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/site-provisioning-key":{"put":{"description":"Create a new site provisioning key for the organization.","tags":["Site Provisioning Key"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":255},"maxBatchSize":{"type":"number","default":null,"description":"Maximum number of sites that can be provisioned in a single batch. If null, there is no limit."},"validUntil":{"type":"string","maxLength":255},"approveNewSites":{"type":"boolean","default":true}},"required":["name","maxBatchSize"],"additionalProperties":false}}}},"responses":{"201":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"siteProvisioningKeyId":{"type":"string"},"orgId":{"type":"string"},"name":{"type":"string"},"siteProvisioningKey":{"type":"string"},"lastChars":{"type":"string"},"createdAt":{"type":"string"},"lastUsed":{"type":"string","nullable":true},"maxBatchSize":{"type":"number","nullable":true},"numUsed":{"type":"number"},"validUntil":{"type":"string","nullable":true},"approveNewSites":{"type":"boolean"}},"required":["siteProvisioningKeyId","orgId","name","siteProvisioningKey","lastChars","createdAt","lastUsed","maxBatchSize","numUsed","validUntil","approveNewSites"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/site-provisioning-keys":{"get":{"description":"List all site provisioning keys for an organization.","tags":["Site Provisioning Key"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"siteProvisioningKeys":{"type":"array","items":{"type":"object","properties":{"siteProvisioningKeyId":{"type":"string"},"orgId":{"type":"string"},"lastChars":{"type":"string"},"createdAt":{"type":"string"},"name":{"type":"string"},"lastUsed":{"type":"string","nullable":true},"maxBatchSize":{"type":"number","nullable":true},"numUsed":{"type":"number"},"validUntil":{"type":"string","nullable":true},"approveNewSites":{"type":"boolean"}},"required":["siteProvisioningKeyId","orgId","lastChars","createdAt","name","lastUsed","maxBatchSize","numUsed","validUntil","approveNewSites"]}},"pagination":{"type":"object","properties":{"total":{"type":"number"},"limit":{"type":"number"},"offset":{"type":"number"}},"required":["total","limit","offset"]}},"required":["siteProvisioningKeys","pagination"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/site-provisioning-key/{siteProvisioningKeyId}":{"delete":{"description":"Delete a site provisioning key.","tags":["Site Provisioning Key"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"siteProvisioningKeyId","in":"path"},{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"patch":{"description":"Update a site provisioning key.","tags":["Site Provisioning Key"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"siteProvisioningKeyId","in":"path"},{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"maxBatchSize":{"type":"number","default":null,"description":"Maximum number of sites that can be provisioned in a single batch. If null, there is no limit."},"validUntil":{"type":"string","maxLength":255},"approveNewSites":{"type":"boolean"}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"siteProvisioningKeyId":{"type":"string"},"orgId":{"type":"string"},"name":{"type":"string"},"lastChars":{"type":"string"},"createdAt":{"type":"string"},"lastUsed":{"type":"string","nullable":true},"maxBatchSize":{"type":"number","nullable":true},"numUsed":{"type":"number"},"validUntil":{"type":"string","nullable":true},"approveNewSites":{"type":"boolean"}},"required":["siteProvisioningKeyId","orgId","name","lastChars","createdAt","lastUsed","maxBatchSize","numUsed","validUntil","approveNewSites"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/event-streaming-destination":{"put":{"description":"Create an event streaming destination for a specific organization.","tags":["Event Streaming Destination"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","minLength":1},"config":{"type":"string","minLength":1},"enabled":{"type":"boolean","default":true},"sendConnectionLogs":{"type":"boolean","default":false},"sendRequestLogs":{"type":"boolean","default":false},"sendActionLogs":{"type":"boolean","default":false},"sendAccessLogs":{"type":"boolean","default":false},"sendAISessionLogs":{"type":"boolean","default":false}},"required":["type","config"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"destinationId":{"type":"number"}},"required":["destinationId"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"get":{"description":"List all event streaming destinations for a specific organization.","tags":["Event Streaming Destination"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"destinations":{"type":"array","items":{"type":"object","properties":{"destinationId":{"type":"number"},"orgId":{"type":"string"},"type":{"type":"string"},"config":{"type":"string"},"enabled":{"type":"boolean"},"lastError":{"type":"string","nullable":true},"lastErrorAt":{"type":"number","nullable":true},"createdAt":{"type":"number"},"updatedAt":{"type":"number"},"sendConnectionLogs":{"type":"boolean"},"sendRequestLogs":{"type":"boolean"},"sendActionLogs":{"type":"boolean"},"sendAccessLogs":{"type":"boolean"},"sendAISessionLogs":{"type":"boolean"}},"required":["destinationId","orgId","type","config","enabled","lastError","lastErrorAt","createdAt","updatedAt","sendConnectionLogs","sendRequestLogs","sendActionLogs","sendAccessLogs","sendAISessionLogs"]}},"pagination":{"type":"object","properties":{"total":{"type":"number"},"limit":{"type":"number"},"offset":{"type":"number"}},"required":["total","limit","offset"]}},"required":["destinations","pagination"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/event-streaming-destination/{destinationId}":{"post":{"description":"Update an event streaming destination for a specific organization.","tags":["Event Streaming Destination"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"destinationId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string"},"config":{"type":"string"},"enabled":{"type":"boolean"},"sendConnectionLogs":{"type":"boolean"},"sendRequestLogs":{"type":"boolean"},"sendActionLogs":{"type":"boolean"},"sendAccessLogs":{"type":"boolean"},"sendAISessionLogs":{"type":"boolean"}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"destinationId":{"type":"number"}},"required":["destinationId"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"delete":{"description":"Delete an event streaming destination for a specific organization.","tags":["Event Streaming Destination"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"destinationId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/alert-rule":{"put":{"description":"Create an alert rule for a specific organization.","tags":["Alert Rule"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1},"eventType":{"type":"string","enum":["health_check_healthy","health_check_unhealthy","health_check_toggle","site_online","site_offline","site_toggle","resource_healthy","resource_unhealthy","resource_degraded","resource_toggle"]},"enabled":{"type":"boolean","default":true},"cooldownSeconds":{"type":"integer","minimum":0,"default":0},"siteIds":{"type":"array","items":{"type":"integer","minimum":0,"exclusiveMinimum":true},"default":[]},"allSites":{"type":"boolean","default":false},"healthCheckIds":{"type":"array","items":{"type":"integer","minimum":0,"exclusiveMinimum":true},"default":[]},"allHealthChecks":{"type":"boolean","default":false},"resourceIds":{"type":"array","items":{"type":"integer","minimum":0,"exclusiveMinimum":true},"default":[]},"allResources":{"type":"boolean","default":false},"userIds":{"type":"array","items":{"type":"string","minLength":1},"default":[]},"roleIds":{"type":"array","items":{"type":"number"},"default":[]},"emails":{"type":"array","items":{"type":"string","format":"email"},"default":[]},"webhookActions":{"type":"array","items":{"type":"object","properties":{"webhookUrl":{"type":"string","format":"uri"},"config":{"type":"string"},"enabled":{"type":"boolean","default":true}},"required":["webhookUrl"],"additionalProperties":false},"default":[]}},"required":["name","eventType"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/alert-rule/{alertRuleId}":{"post":{"description":"Update an alert rule for a specific organization.","tags":["Alert Rule"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"alertRuleId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1},"eventType":{"type":"string","enum":["health_check_healthy","health_check_unhealthy","health_check_toggle","site_online","site_offline","site_toggle","resource_healthy","resource_unhealthy","resource_degraded","resource_toggle"]},"enabled":{"type":"boolean"},"cooldownSeconds":{"type":"integer","minimum":0},"siteIds":{"type":"array","items":{"type":"integer","minimum":0,"exclusiveMinimum":true}},"allSites":{"type":"boolean"},"healthCheckIds":{"type":"array","items":{"type":"integer","minimum":0,"exclusiveMinimum":true}},"allHealthChecks":{"type":"boolean"},"resourceIds":{"type":"array","items":{"type":"integer","minimum":0,"exclusiveMinimum":true}},"allResources":{"type":"boolean"},"userIds":{"type":"array","items":{"type":"string","minLength":1}},"roleIds":{"type":"array","items":{"type":"number"}},"emails":{"type":"array","items":{"type":"string","format":"email"}},"webhookActions":{"type":"array","items":{"type":"object","properties":{"webhookUrl":{"type":"string","format":"uri"},"config":{"type":"string"},"enabled":{"type":"boolean","default":true}},"required":["webhookUrl"],"additionalProperties":false}}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"alertRuleId":{"type":"number"}},"required":["alertRuleId"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"delete":{"description":"Delete an alert rule for a specific organization.","tags":["Alert Rule"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"alertRuleId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"get":{"description":"Get a specific alert rule for an organization.","tags":["Alert Rule"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"number","nullable":true},"required":false,"name":"alertRuleId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/alert-rules":{"get":{"description":"List all alert rules for a specific organization.","tags":["Alert Rule"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"},{"schema":{"type":"string"},"required":false,"name":"query","in":"query"},{"schema":{"type":"string"},"required":false,"name":"siteId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"healthCheckId","in":"query"},{"schema":{"type":"string","enum":["name","last_triggered_at"]},"required":false,"name":"sort_by","in":"query"},{"schema":{"type":"string","enum":["asc","desc"],"default":"asc"},"required":false,"name":"order","in":"query"},{"schema":{"type":"string","enum":["true","false"]},"required":false,"name":"enabled","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/health-checks":{"get":{"description":"List health checks for an organization.","tags":["Health Check"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string","default":"1000"},"required":false,"name":"limit","in":"query"},{"schema":{"type":"string","default":"0"},"required":false,"name":"offset","in":"query"},{"schema":{"type":"string"},"required":false,"name":"query","in":"query"},{"schema":{"type":"string","enum":["http","tcp","snmp","ping"]},"required":false,"name":"hcMode","in":"query"},{"schema":{"type":"string"},"required":false,"name":"siteId","in":"query"},{"schema":{"type":"string"},"required":false,"name":"resourceId","in":"query"},{"schema":{"type":"string","enum":["healthy","unhealthy","unknown"]},"required":false,"name":"hcHealth","in":"query"},{"schema":{"type":"string","enum":["true","false"]},"required":false,"name":"hcEnabled","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/health-check":{"put":{"description":"Create a health check for a specific organization.","tags":["Health Check"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1},"siteId":{"type":"integer","minimum":0,"exclusiveMinimum":true},"hcEnabled":{"type":"boolean","default":false},"hcMode":{"type":"string","default":"http"},"hcHostname":{"type":"string"},"hcPort":{"type":"integer","minimum":1,"maximum":65535},"hcPath":{"type":"string"},"hcScheme":{"type":"string"},"hcMethod":{"type":"string","default":"GET"},"hcInterval":{"type":"integer","minimum":0,"exclusiveMinimum":true,"default":30},"hcUnhealthyInterval":{"type":"integer","minimum":0,"exclusiveMinimum":true,"default":30},"hcTimeout":{"type":"integer","minimum":0,"exclusiveMinimum":true,"default":1},"hcHeaders":{"type":"string","nullable":true},"hcFollowRedirects":{"type":"boolean","default":true},"hcStatus":{"type":"integer","nullable":true},"hcTlsServerName":{"type":"string"},"hcHealthyThreshold":{"type":"integer","minimum":0,"exclusiveMinimum":true,"default":1},"hcUnhealthyThreshold":{"type":"integer","minimum":0,"exclusiveMinimum":true,"default":1}},"required":["name","siteId"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"targetHealthCheckId":{"type":"number"}},"required":["targetHealthCheckId"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/health-check/{healthCheckId}":{"post":{"description":"Update a health check for a specific organization.","tags":["Health Check"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string"},"required":true,"name":"healthCheckId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1},"siteId":{"type":"integer","minimum":0,"exclusiveMinimum":true},"hcEnabled":{"type":"boolean"},"hcMode":{"type":"string"},"hcHostname":{"type":"string"},"hcPort":{"type":"integer","minimum":1,"maximum":65535},"hcPath":{"type":"string"},"hcScheme":{"type":"string"},"hcMethod":{"type":"string"},"hcInterval":{"type":"integer","minimum":0,"exclusiveMinimum":true},"hcUnhealthyInterval":{"type":"integer","minimum":0,"exclusiveMinimum":true},"hcTimeout":{"type":"integer","minimum":0,"exclusiveMinimum":true},"hcHeaders":{"type":"string","nullable":true},"hcFollowRedirects":{"type":"boolean"},"hcStatus":{"type":"integer","nullable":true},"hcTlsServerName":{"type":"string"},"hcHealthyThreshold":{"type":"integer","minimum":0,"exclusiveMinimum":true},"hcUnhealthyThreshold":{"type":"integer","minimum":0,"exclusiveMinimum":true}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"targetHealthCheckId":{"type":"number"},"name":{"type":"string","nullable":true},"siteId":{"type":"number","nullable":true},"hcEnabled":{"type":"boolean"},"hcHealth":{"type":"string","nullable":true},"hcMode":{"type":"string","nullable":true},"hcHostname":{"type":"string","nullable":true},"hcPort":{"type":"number","nullable":true},"hcPath":{"type":"string","nullable":true},"hcScheme":{"type":"string","nullable":true},"hcMethod":{"type":"string","nullable":true},"hcInterval":{"type":"number","nullable":true},"hcUnhealthyInterval":{"type":"number","nullable":true},"hcTimeout":{"type":"number","nullable":true},"hcHeaders":{"type":"string","nullable":true},"hcFollowRedirects":{"type":"boolean","nullable":true},"hcStatus":{"type":"number","nullable":true},"hcTlsServerName":{"type":"string","nullable":true},"hcHealthyThreshold":{"type":"number","nullable":true},"hcUnhealthyThreshold":{"type":"number","nullable":true}},"required":["targetHealthCheckId","name","siteId","hcEnabled","hcHealth","hcMode","hcHostname","hcPort","hcPath","hcScheme","hcMethod","hcInterval","hcUnhealthyInterval","hcTimeout","hcHeaders","hcFollowRedirects","hcStatus","hcTlsServerName","hcHealthyThreshold","hcUnhealthyThreshold"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"delete":{"description":"Delete a health check for a specific organization.","tags":["Health Check"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string","minLength":1},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string"},"required":true,"name":"healthCheckId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/resource-policy":{"post":{"description":"Create a resource policy.","tags":["Public Resource Policy"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":255},"sso":{"type":"boolean","default":true},"skipToIdpId":{"type":"integer"},"roleIds":{"type":"array","items":{"type":"string"},"default":[]},"userIds":{"type":"array","items":{"type":"string"},"default":[]},"password":{"type":"string","nullable":true,"minLength":4,"maxLength":100},"pincode":{"anyOf":[{"type":"string","pattern":"^\\d{6}$"},{"nullable":true}]},"headerAuth":{"type":"object","nullable":true,"properties":{"user":{"type":"string","minLength":4,"maxLength":100},"password":{"type":"string","minLength":4,"maxLength":100},"extendedCompatibility":{"type":"boolean"}},"required":["user","password","extendedCompatibility"]},"emailWhitelistEnabled":{"type":"boolean","default":false},"emails":{"type":"array","items":{"anyOf":[{"type":"string","format":"email"},{"type":"string","pattern":"^\\*@[\\w.-]+\\.[a-zA-Z]{2,}$"}]},"default":[]},"applyRules":{"type":"boolean","default":false},"rules":{"type":"array","items":{"type":"object","properties":{"action":{"type":"string","enum":["ACCEPT","DROP","PASS"],"description":"rule action"},"match":{"type":"string","enum":["CIDR","IP","PATH","COUNTRY","COUNTRY_IS_NOT","ASN","REGION","METHOD"],"description":"rule match"},"value":{"type":"string","minLength":1},"priority":{"type":"integer","description":"Rule priority"},"enabled":{"type":"boolean"}},"required":["action","match","value","priority"],"additionalProperties":false},"default":[]}},"required":["name"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/resource-policies":{"get":{"description":"List resource policies for an organization.","tags":["Public Resource Policy"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"integer","default":20,"description":"Number of items per page"},"required":false,"description":"Number of items per page","name":"pageSize","in":"query"},{"schema":{"type":"integer","default":1,"description":"Page number to retrieve"},"required":false,"description":"Page number to retrieve","name":"page","in":"query"},{"schema":{"type":"string"},"required":false,"name":"query","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/resource-policy/{resourcePolicyId}":{"delete":{"description":"Delete a resource policy.","tags":["Public Resource Policy"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"resourcePolicyId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"get":{"description":"Get a resource policy by its resourcePolicyId.","tags":["Public Resource Policy (Legacy)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"number"},"required":true,"name":"resourcePolicyId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"post":{"description":"Update a resource policy.","tags":["Public Resource Policy"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"resourcePolicyId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":255},"niceId":{"type":"string","minLength":1,"maxLength":255}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"put":{"description":"Update a resource policy. Deprecated: use POST instead.","deprecated":true,"tags":["Public Resource Policy"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"resourcePolicyId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":255},"niceId":{"type":"string","minLength":1,"maxLength":255}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/site/{niceId}":{"get":{"description":"Get a site by orgId and niceId. NiceId is a readable ID for the site and unique on a per org basis.","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"string"},"required":true,"name":"niceId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/site/{siteId}":{"get":{"description":"Get a site by siteId.","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"number"},"required":true,"name":"siteId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"delete":{"description":"Delete a site and all its associated data.","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"siteId","in":"path"},{"schema":{"type":"boolean","description":"When true, also deletes all public and private resources associated with this site"},"required":false,"description":"When true, also deletes all public and private resources associated with this site","name":"deleteResources","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"post":{"description":"Update a site.","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"siteId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":255},"niceId":{"type":"string","minLength":1,"maxLength":255},"dockerSocketEnabled":{"type":"boolean"},"autoUpdateEnabled":{"type":"boolean"},"autoUpdateOverrideOrg":{"type":"boolean"}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/site":{"put":{"description":"Create a new site.","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"example":{"name":"My Site","type":"newt"},"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":255},"exitNodeId":{"type":"integer","minimum":0,"exclusiveMinimum":true},"niceId":{"type":"string","minLength":1,"maxLength":255},"pubKey":{"type":"string"},"subnet":{"type":"string"},"newtId":{"type":"string"},"secret":{"type":"string"},"address":{"type":"string"},"type":{"type":"string","enum":["newt","wireguard","local"]}},"required":["name","type"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/site/{siteId}/approve":{"post":{"description":"Approve a pending site and approve (and enable when needed) its associated resources.","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"siteId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/site/{siteId}/reject":{"post":{"description":"Reject a pending site by deleting it and any associated resources that are still pending.","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"siteId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/sites":{"get":{"description":"List all sites in an organization","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"},{"schema":{"type":"integer","default":20,"description":"Number of items per page"},"required":false,"description":"Number of items per page","name":"pageSize","in":"query"},{"schema":{"type":"integer","default":1,"description":"Page number to retrieve"},"required":false,"description":"Page number to retrieve","name":"page","in":"query"},{"schema":{"type":"string"},"required":false,"name":"query","in":"query"},{"schema":{"type":"string","enum":["name","megabytesIn","megabytesOut"],"description":"Field to sort by"},"required":false,"description":"Field to sort by","name":"sort_by","in":"query"},{"schema":{"type":"string","enum":["asc","desc"],"default":"asc","description":"Sort order"},"required":false,"description":"Sort order","name":"order","in":"query"},{"schema":{"type":"boolean","description":"Filter by online status"},"required":false,"description":"Filter by online status","name":"online","in":"query"},{"schema":{"type":"string","enum":["pending","approved"],"description":"Filter by site status"},"required":false,"description":"Filter by site status","name":"status","in":"query"},{"schema":{"type":"array","description":"Filter by site labels"},"required":false,"description":"Filter by site labels","name":"labels","in":"query"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}/pick-site-defaults":{"get":{"description":"Return pre-requisite data for creating a site, such as the exit node, subnet, Newt credentials, etc.","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"exitNodeId":{"type":"number"},"address":{"type":"string"},"publicKey":{"type":"string"},"name":{"type":"string"},"listenPort":{"type":"number"},"endpoint":{"type":"string"},"subnet":{"type":"string"},"newtId":{"type":"string"},"newtSecret":{"type":"string"},"clientAddress":{"type":"string"}},"required":["exitNodeId","address","publicKey","name","listenPort","endpoint","subnet","newtId","newtSecret"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/site/{siteId}/restart":{"post":{"description":"Restart a site.","tags":["Site"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"siteId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org/{orgId}":{"get":{"description":"Get an organization","tags":["Organization"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"properties":{"org":{"type":"object","properties":{},"additionalProperties":{"nullable":true}}},"required":["org"]},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"delete":{"description":"Delete an organization","tags":["Organization"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"post":{"description":"Update an organization","tags":["Organization"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"string"},"required":true,"name":"orgId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":255},"requireTwoFactor":{"type":"boolean"},"maxSessionLengthHours":{"type":"number","nullable":true},"passwordExpiryDays":{"type":"number","nullable":true},"settingsLogRetentionDaysRequest":{"type":"number","minimum":0},"settingsLogRetentionDaysAccess":{"type":"number","minimum":0},"settingsLogRetentionDaysAction":{"type":"number","minimum":0},"settingsLogRetentionDaysConnection":{"type":"number","minimum":0},"settingsLogRetentionDaysAISessions":{"type":"number","minimum":0},"settingsEnableGlobalNewtAutoUpdate":{"type":"boolean"}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/resource/{resourceId}/roles":{"post":{"description":"Set roles for a resource. This will replace all existing roles. When the resource has an inline policy defined (no shared resource policy assigned), roles are set on the inline policy instead of directly on the resource.","tags":["Public Resource (Legacy)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"resourceId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"roleIds":{"type":"array","items":{"type":"integer","minimum":0,"exclusiveMinimum":true}}},"required":["roleIds"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"get":{"description":"List all roles for a resource.","tags":["Public Resource (Legacy)"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"resourceId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/public-resource/{resourceId}/roles":{"post":{"description":"Set roles for a resource. This will replace all existing roles. When the resource has an inline policy defined (no shared resource policy assigned), roles are set on the inline policy instead of directly on the resource.","tags":["Public Resource","Role"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"resourceId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"roleIds":{"type":"array","items":{"type":"integer","minimum":0,"exclusiveMinimum":true}}},"required":["roleIds"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"get":{"description":"List all roles for a resource.","tags":["Public Resource","Role"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"resourceId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/role/{roleId}":{"delete":{"description":"Delete a role.","tags":["Role"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"roleId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"roleId":{"type":"integer","minimum":0,"exclusiveMinimum":true}},"required":["roleId"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"get":{"description":"Get a role.","tags":["Role"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"roleId","in":"path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}},"post":{"description":"Update a role.","tags":["Role"],"security":[{"Bearer Auth":[]}],"parameters":[{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true},"required":true,"name":"roleId","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":255},"description":{"type":"string"},"requireDeviceApproval":{"type":"boolean"},"allowSsh":{"type":"boolean"},"sshSudoMode":{"type":"string","enum":["none","full","commands"]},"sshSudoCommands":{"type":"array","items":{"type":"string"}},"sshCreateHomeDir":{"type":"boolean"},"sshUnixGroups":{"type":"array","items":{"type":"string"}}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","nullable":true,"additionalProperties":{"nullable":true}},"success":{"type":"boolean"},"error":{"type":"boolean"},"message":{"type":"string"},"status":{"type":"number"}},"required":["data","success","error","message","status"]}}}}}}},"/org
[...]
